- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Function Parameter Functions
Embryo

Pushes an Embryo_Cell onto the function stack to use as a parameter for the next function that is called in the given program. More...

## Functions
EAPI int | embryo_parameter_string_push (Embryo_Program *ep, const char *str)
| Pushes a string onto the function stack to use as a parameter for the next function that is called in the given program. More...
EAPI int | embryo_parameter_cell_array_push (Embryo_Program *ep, Embryo_Cell *cells, int num)
| Pushes an array of Embryo_Cells onto the function stack to be used as parameters for the next function that is called in the given program. More...

## Detailed Description

Pushes an Embryo_Cell onto the function stack to use as a parameter for the next function that is called in the given program.

Parameters

  ep | The given program.
  cell | The Embryo_Cell to push onto the stack.

Returns
  `1` if successful. `0` otherwise.

Functions that set parameters for the next function that is called.

## Function Documentation

EAPI int embryo_parameter_string_push | ( | Embryo_Program * | ep,
|  | const char * | str
| ) |  |

Pushes a string onto the function stack to use as a parameter for the next function that is called in the given program.

Parameters

  ep | The given program.
  str | The string to push onto the stack.

Returns
  `1` if successful. `0` otherwise.

EAPI int embryo_parameter_cell_array_push | ( | Embryo_Program * | ep,
|  | Embryo_Cell * | cells,
|  | int | num
| ) |  |

Pushes an array of Embryo_Cells onto the function stack to be used as parameters for the next function that is called in the given program.

Parameters

  ep | The given program.
  cells | The array of Embryo_Cells.
  num | The number of cells in `cells`.

Returns
  `1` if successful. `0` otherwise.